Name: libksba
Version: 1.3.5
Release: 0
License: GPL-3.0-or-later
Summary: Simplify working with X.509 certificates and CMS data objects
Url: https://gnupg.org/software/libksba/index.html

Source0: https://gnupg.org/ftp/gcrypt/libksba/libksba-%{version}.tar.bz2

BuildRequires: libtool
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libgpg-error-devel

%description
Libksba is a library to make the tasks of working with X.509 certificates, CMS
data and related objects more easy. It provides a high level interface to the
implemented protocols and presents the data in a consistent way. There is no
more need to worry about all the nasty details of the protocols. The API gives
the C programmer an easy way of interacting with the data. It copes with the
version details X.509 protocols tend to have as well as with the many different
versions and dialects. Applications must usually cope with all of this and it
has to be coded over and over again. Libksba hides this by providing just one
API which does the Right Thing. Support for new features will be added as
needed.


%package devel
Summary: libksba development files

Requires: libksba8 = %{version}-%{release}

%description devel
%summary


%package -n libksba8
Summary: libksba library

%description -n libksba8
%summary


%prep

%setup -q -n %{name}-%{version}


%build

autoreconf -fi

%configure \
  LDFLAGS="-Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  --enable-shared \
  --disable-static \
  --with-aix-soname=svr4

%make_build


%install

%make_install

# don't ship .la file
rm %{buildroot}/%{_libdir}/libksba.la


%files devel
%defattr(-, qsys, *none)

%{_bindir}/ksba-config
%{_includedir}/ksba.h

%{_libdir}/libksba.so

%{_datadir}/aclocal/ksba.m4

%{_infodir}/ksba.info

%files -n libksba8
%defattr(-, qsys, *none)

%{_libdir}/libksba.so.8


%changelog
* Mon Feb 10 2020 Mark Irish <mirish@ibm.com> - 1.3.5
- Intial package
